@shophost/rest-api 2.0.0 → 2.0.1

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (61) hide show
  1. package/README.md +3 -3
  2. package/package.json +1 -7
  3. package/src/app.js +8 -2
  4. package/src/app.js.map +1 -1
  5. package/src/core/openapi/openapi.lib.d.ts +2 -1
  6. package/src/core/openapi/openapi.lib.js +2 -2
  7. package/src/core/openapi/openapi.lib.js.map +1 -1
  8. package/src/features/health/health.handler.js.map +1 -1
  9. package/src/features/order/order.handler.js.map +1 -1
  10. package/src/client/__generated__/openapi.json +0 -13633
  11. package/src/client/generated/client/client.gen.d.ts +0 -2
  12. package/src/client/generated/client/client.gen.js +0 -200
  13. package/src/client/generated/client/client.gen.js.map +0 -1
  14. package/src/client/generated/client/index.d.ts +0 -8
  15. package/src/client/generated/client/index.js +0 -7
  16. package/src/client/generated/client/index.js.map +0 -1
  17. package/src/client/generated/client/types.gen.d.ts +0 -117
  18. package/src/client/generated/client/types.gen.js +0 -3
  19. package/src/client/generated/client/types.gen.js.map +0 -1
  20. package/src/client/generated/client/utils.gen.d.ts +0 -33
  21. package/src/client/generated/client/utils.gen.js +0 -221
  22. package/src/client/generated/client/utils.gen.js.map +0 -1
  23. package/src/client/generated/client.gen.d.ts +0 -12
  24. package/src/client/generated/client.gen.js +0 -4
  25. package/src/client/generated/client.gen.js.map +0 -1
  26. package/src/client/generated/core/auth.gen.d.ts +0 -18
  27. package/src/client/generated/core/auth.gen.js +0 -16
  28. package/src/client/generated/core/auth.gen.js.map +0 -1
  29. package/src/client/generated/core/bodySerializer.gen.d.ts +0 -25
  30. package/src/client/generated/core/bodySerializer.gen.js +0 -58
  31. package/src/client/generated/core/bodySerializer.gen.js.map +0 -1
  32. package/src/client/generated/core/params.gen.d.ts +0 -43
  33. package/src/client/generated/core/params.gen.js +0 -101
  34. package/src/client/generated/core/params.gen.js.map +0 -1
  35. package/src/client/generated/core/pathSerializer.gen.d.ts +0 -33
  36. package/src/client/generated/core/pathSerializer.gen.js +0 -115
  37. package/src/client/generated/core/pathSerializer.gen.js.map +0 -1
  38. package/src/client/generated/core/queryKeySerializer.gen.d.ts +0 -18
  39. package/src/client/generated/core/queryKeySerializer.gen.js +0 -100
  40. package/src/client/generated/core/queryKeySerializer.gen.js.map +0 -1
  41. package/src/client/generated/core/serverSentEvents.gen.d.ts +0 -71
  42. package/src/client/generated/core/serverSentEvents.gen.js +0 -135
  43. package/src/client/generated/core/serverSentEvents.gen.js.map +0 -1
  44. package/src/client/generated/core/types.gen.d.ts +0 -78
  45. package/src/client/generated/core/types.gen.js +0 -3
  46. package/src/client/generated/core/types.gen.js.map +0 -1
  47. package/src/client/generated/core/utils.gen.d.ts +0 -19
  48. package/src/client/generated/core/utils.gen.js +0 -88
  49. package/src/client/generated/core/utils.gen.js.map +0 -1
  50. package/src/client/generated/index.d.ts +0 -2
  51. package/src/client/generated/index.js +0 -3
  52. package/src/client/generated/index.js.map +0 -1
  53. package/src/client/generated/sdk.gen.d.ts +0 -315
  54. package/src/client/generated/sdk.gen.js +0 -360
  55. package/src/client/generated/sdk.gen.js.map +0 -1
  56. package/src/client/generated/types.gen.d.ts +0 -5113
  57. package/src/client/generated/types.gen.js +0 -3
  58. package/src/client/generated/types.gen.js.map +0 -1
  59. package/src/client/index.d.ts +0 -112
  60. package/src/client/index.js +0 -147
  61. package/src/client/index.js.map +0 -1
@@ -1,3 +0,0 @@
1
- // This file is auto-generated by @hey-api/openapi-ts
2
- export {};
3
- //# sourceMappingURL=types.gen.js.map
@@ -1 +0,0 @@
1
- {"version":3,"file":"types.gen.js","sourceRoot":"","sources":["../../../../../../packages/rest-api/src/client/generated/types.gen.ts"],"names":[],"mappings":"AAAA,qDAAqD"}
@@ -1,112 +0,0 @@
1
- export type * from "./generated";
2
- export type Locale = import("./generated").OrganizationConfiguration["defaultLocale"];
3
- export type OrderStatus = import("./generated").UpdateOrderStatusData["path"]["operation"];
4
- export type PaymentMethodDetails = import("./generated").GetAvailablePaymentMethodsResponses[200][number];
5
- export type CreateShippingAddressInput = import("./generated").CreateShippingAddressData["body"];
6
- export type UpdateShippingAddressInput = import("./generated").UpdateShippingAddressData["body"];
7
- export type ShippingAddress = import("./generated").GetShippingAddressResponses[200];
8
- export type PaginatedResponse<T> = {
9
- list: T[];
10
- meta: import("./generated").PaginationMeta;
11
- };
12
- interface RequestInput {
13
- body?: unknown;
14
- headers?: Record<string, unknown>;
15
- params?: Record<string, unknown>;
16
- query?: Record<string, unknown>;
17
- [key: string]: unknown;
18
- }
19
- export interface InitClientOptions {
20
- baseHeaders?: HeadersInit;
21
- baseUrl: string;
22
- credentials?: RequestCredentials;
23
- fetch?: typeof fetch;
24
- throwOnUnknownStatus?: boolean;
25
- }
26
- export interface ClientResponse<TBody = any> {
27
- body: TBody;
28
- headers: Headers;
29
- status: number;
30
- }
31
- export declare const initClient: ({ baseHeaders, baseUrl, credentials, fetch, throwOnUnknownStatus, }: InitClientOptions) => {
32
- cart: {
33
- getCartData: (input?: RequestInput) => Promise<ClientResponse<any>>;
34
- };
35
- file: {
36
- createTemporaryFile: (input?: RequestInput) => Promise<ClientResponse<any>>;
37
- getVercelToken: (input?: RequestInput) => Promise<ClientResponse<any>>;
38
- };
39
- health: {
40
- ping: (input?: RequestInput) => Promise<ClientResponse<any>>;
41
- };
42
- location: {
43
- getPlaceDetails: (input?: RequestInput) => Promise<ClientResponse<any>>;
44
- getPredictions: (input?: RequestInput) => Promise<ClientResponse<any>>;
45
- };
46
- manufacturer: {
47
- createManufacturer: (input?: RequestInput) => Promise<ClientResponse<any>>;
48
- deleteManufacturer: (input?: RequestInput) => Promise<ClientResponse<any>>;
49
- getManufacturer: (input?: RequestInput) => Promise<ClientResponse<any>>;
50
- getManufacturers: (input?: RequestInput) => Promise<ClientResponse<any>>;
51
- updateManufacturer: (input?: RequestInput) => Promise<ClientResponse<any>>;
52
- };
53
- order: {
54
- createOrder: (input?: RequestInput) => Promise<ClientResponse<any>>;
55
- deleteOrder: (input?: RequestInput) => Promise<ClientResponse<any>>;
56
- getOrder: (input?: RequestInput) => Promise<ClientResponse<any>>;
57
- getOrders: (input?: RequestInput) => Promise<ClientResponse<any>>;
58
- updateStatus: (input?: RequestInput) => Promise<ClientResponse<any>>;
59
- };
60
- organization: {
61
- createOrganization: (input?: RequestInput) => Promise<ClientResponse<any>>;
62
- deleteOrganization: (input?: RequestInput) => Promise<ClientResponse<any>>;
63
- getOrganization: (input?: RequestInput) => Promise<ClientResponse<any>>;
64
- getOrganizations: (input?: RequestInput) => Promise<ClientResponse<any>>;
65
- updateOrganization: (input?: RequestInput) => Promise<ClientResponse<any>>;
66
- };
67
- payment: {
68
- getAvailablePaymentMethods: (input?: RequestInput) => Promise<ClientResponse<any>>;
69
- };
70
- product: {
71
- createProduct: (input?: RequestInput) => Promise<ClientResponse<any>>;
72
- deleteProduct: (input?: RequestInput) => Promise<ClientResponse<any>>;
73
- getProduct: (input?: RequestInput) => Promise<ClientResponse<any>>;
74
- getProducts: (input?: RequestInput) => Promise<ClientResponse<any>>;
75
- getProductsByCategory: (input?: RequestInput) => Promise<ClientResponse<any>>;
76
- updateProduct: (input?: RequestInput) => Promise<ClientResponse<any>>;
77
- updateStatus: (input?: RequestInput) => Promise<ClientResponse<any>>;
78
- };
79
- productCategory: {
80
- createProductCategory: (input?: RequestInput) => Promise<ClientResponse<any>>;
81
- deleteProductCategory: (input?: RequestInput) => Promise<ClientResponse<any>>;
82
- getProductCategories: (input?: RequestInput) => Promise<ClientResponse<any>>;
83
- getProductCategory: (input?: RequestInput) => Promise<ClientResponse<any>>;
84
- updateProductCategory: (input?: RequestInput) => Promise<ClientResponse<any>>;
85
- updateStatus: (input?: RequestInput) => Promise<ClientResponse<any>>;
86
- };
87
- reservation: {
88
- createReservation: (input?: RequestInput) => Promise<ClientResponse<any>>;
89
- deleteReservation: (input?: RequestInput) => Promise<ClientResponse<any>>;
90
- getReservation: (input?: RequestInput) => Promise<ClientResponse<any>>;
91
- getReservations: (input?: RequestInput) => Promise<ClientResponse<any>>;
92
- getUserReservations: (input?: RequestInput) => Promise<ClientResponse<any>>;
93
- updateReservationStatus: (input?: RequestInput) => Promise<ClientResponse<any>>;
94
- };
95
- shipping: {
96
- createShippingAddress: (input?: RequestInput) => Promise<ClientResponse<any>>;
97
- getShippingAddress: (input?: RequestInput) => Promise<ClientResponse<any>>;
98
- updateShippingAddress: (input?: RequestInput) => Promise<ClientResponse<any>>;
99
- };
100
- shippingMethod: {
101
- accessEligibility: (input?: RequestInput) => Promise<ClientResponse<any>>;
102
- createShippingMethod: (input?: RequestInput) => Promise<ClientResponse<any>>;
103
- deleteShippingMethod: (input?: RequestInput) => Promise<ClientResponse<any>>;
104
- getShippingMethod: (input?: RequestInput) => Promise<ClientResponse<any>>;
105
- getShippingMethods: (input?: RequestInput) => Promise<ClientResponse<any>>;
106
- updateShippingMethod: (input?: RequestInput) => Promise<ClientResponse<any>>;
107
- };
108
- webhook: {
109
- webhook: (input?: RequestInput) => Promise<ClientResponse<any>>;
110
- };
111
- };
112
- export * from "./generated";
@@ -1,147 +0,0 @@
1
- var _a;
2
- import { __awaiter, __rest } from "tslib";
3
- import openApiDocument from "./__generated__/openapi.json";
4
- import { createClient as createGeneratedClient, } from "./generated/client";
5
- import * as sdk from "./generated/sdk.gen";
6
- const httpMethods = [
7
- "delete",
8
- "get",
9
- "head",
10
- "options",
11
- "patch",
12
- "post",
13
- "put",
14
- "trace",
15
- ];
16
- const operationStatusMap = Object.values((_a = openApiDocument.paths) !== null && _a !== void 0 ? _a : {}).reduce((acc, pathItem) => {
17
- var _a;
18
- for (const method of httpMethods) {
19
- const operation = pathItem === null || pathItem === void 0 ? void 0 : pathItem[method];
20
- if (!(operation === null || operation === void 0 ? void 0 : operation.operationId)) {
21
- continue;
22
- }
23
- acc[operation.operationId] = Object.keys((_a = operation.responses) !== null && _a !== void 0 ? _a : {}).map((status) => Number(status));
24
- }
25
- return acc;
26
- }, {});
27
- const normalizeResponse = (operationId, result, throwOnUnknownStatus) => {
28
- var _a, _b, _c;
29
- const response = result.response;
30
- if (!response) {
31
- throw (_a = result.error) !== null && _a !== void 0 ? _a : new Error(`Request failed for ${operationId}`);
32
- }
33
- const documentedStatuses = (_b = operationStatusMap[operationId]) !== null && _b !== void 0 ? _b : [];
34
- const isDocumented = documentedStatuses.includes(response.status);
35
- if (!isDocumented && throwOnUnknownStatus) {
36
- throw (_c = result.error) !== null && _c !== void 0 ? _c : new Error(`Undocumented status ${response.status}`);
37
- }
38
- return {
39
- body: response.status === 204
40
- ? undefined
41
- : response.ok
42
- ? result.data
43
- : result.error,
44
- headers: response.headers,
45
- status: response.status,
46
- };
47
- };
48
- const createWrappedMethod = (client, operationId, fn, throwOnUnknownStatus) => {
49
- return (...args_1) => __awaiter(void 0, [...args_1], void 0, function* (input = {}) {
50
- const { params } = input, rest = __rest(input, ["params"]);
51
- const result = yield fn(Object.assign(Object.assign({}, rest), { client, path: params }));
52
- return normalizeResponse(operationId, result, throwOnUnknownStatus);
53
- });
54
- };
55
- export const initClient = ({ baseHeaders, baseUrl, credentials, fetch, throwOnUnknownStatus = false, }) => {
56
- const client = createGeneratedClient({
57
- baseUrl: `${baseUrl}/api`,
58
- credentials,
59
- fetch,
60
- headers: baseHeaders,
61
- responseStyle: "fields",
62
- throwOnError: false,
63
- });
64
- return {
65
- cart: {
66
- getCartData: createWrappedMethod(client, "getCartData", sdk.getCartData, throwOnUnknownStatus),
67
- },
68
- file: {
69
- createTemporaryFile: createWrappedMethod(client, "createTemporaryFile", sdk.createTemporaryFile, throwOnUnknownStatus),
70
- getVercelToken: createWrappedMethod(client, "getVercelToken", sdk.getVercelToken, throwOnUnknownStatus),
71
- },
72
- health: {
73
- ping: createWrappedMethod(client, "ping", sdk.ping, throwOnUnknownStatus),
74
- },
75
- location: {
76
- getPlaceDetails: createWrappedMethod(client, "getPlaceDetails", sdk.getPlaceDetails, throwOnUnknownStatus),
77
- getPredictions: createWrappedMethod(client, "getPredictions", sdk.getPredictions, throwOnUnknownStatus),
78
- },
79
- manufacturer: {
80
- createManufacturer: createWrappedMethod(client, "createManufacturer", sdk.createManufacturer, throwOnUnknownStatus),
81
- deleteManufacturer: createWrappedMethod(client, "deleteManufacturer", sdk.deleteManufacturer, throwOnUnknownStatus),
82
- getManufacturer: createWrappedMethod(client, "getManufacturer", sdk.getManufacturer, throwOnUnknownStatus),
83
- getManufacturers: createWrappedMethod(client, "getManufacturers", sdk.getManufacturers, throwOnUnknownStatus),
84
- updateManufacturer: createWrappedMethod(client, "updateManufacturer", sdk.updateManufacturer, throwOnUnknownStatus),
85
- },
86
- order: {
87
- createOrder: createWrappedMethod(client, "createOrder", sdk.createOrder, throwOnUnknownStatus),
88
- deleteOrder: createWrappedMethod(client, "deleteOrder", sdk.deleteOrder, throwOnUnknownStatus),
89
- getOrder: createWrappedMethod(client, "getOrder", sdk.getOrder, throwOnUnknownStatus),
90
- getOrders: createWrappedMethod(client, "getOrders", sdk.getOrders, throwOnUnknownStatus),
91
- updateStatus: createWrappedMethod(client, "updateOrderStatus", sdk.updateOrderStatus, throwOnUnknownStatus),
92
- },
93
- organization: {
94
- createOrganization: createWrappedMethod(client, "createOrganization", sdk.createOrganization, throwOnUnknownStatus),
95
- deleteOrganization: createWrappedMethod(client, "deleteOrganization", sdk.deleteOrganization, throwOnUnknownStatus),
96
- getOrganization: createWrappedMethod(client, "getOrganization", sdk.getOrganization, throwOnUnknownStatus),
97
- getOrganizations: createWrappedMethod(client, "getOrganizations", sdk.getOrganizations, throwOnUnknownStatus),
98
- updateOrganization: createWrappedMethod(client, "updateOrganization", sdk.updateOrganization, throwOnUnknownStatus),
99
- },
100
- payment: {
101
- getAvailablePaymentMethods: createWrappedMethod(client, "getAvailablePaymentMethods", sdk.getAvailablePaymentMethods, throwOnUnknownStatus),
102
- },
103
- product: {
104
- createProduct: createWrappedMethod(client, "createProduct", sdk.createProduct, throwOnUnknownStatus),
105
- deleteProduct: createWrappedMethod(client, "deleteProduct", sdk.deleteProduct, throwOnUnknownStatus),
106
- getProduct: createWrappedMethod(client, "getProduct", sdk.getProduct, throwOnUnknownStatus),
107
- getProducts: createWrappedMethod(client, "getProducts", sdk.getProducts, throwOnUnknownStatus),
108
- getProductsByCategory: createWrappedMethod(client, "getProductsByCategory", sdk.getProductsByCategory, throwOnUnknownStatus),
109
- updateProduct: createWrappedMethod(client, "updateProduct", sdk.updateProduct, throwOnUnknownStatus),
110
- updateStatus: createWrappedMethod(client, "updateProductStatus", sdk.updateProductStatus, throwOnUnknownStatus),
111
- },
112
- productCategory: {
113
- createProductCategory: createWrappedMethod(client, "createProductCategory", sdk.createProductCategory, throwOnUnknownStatus),
114
- deleteProductCategory: createWrappedMethod(client, "deleteProductCategory", sdk.deleteProductCategory, throwOnUnknownStatus),
115
- getProductCategories: createWrappedMethod(client, "getProductCategories", sdk.getProductCategories, throwOnUnknownStatus),
116
- getProductCategory: createWrappedMethod(client, "getProductCategory", sdk.getProductCategory, throwOnUnknownStatus),
117
- updateProductCategory: createWrappedMethod(client, "updateProductCategory", sdk.updateProductCategory, throwOnUnknownStatus),
118
- updateStatus: createWrappedMethod(client, "updateProductCategoryStatus", sdk.updateProductCategoryStatus, throwOnUnknownStatus),
119
- },
120
- reservation: {
121
- createReservation: createWrappedMethod(client, "createReservation", sdk.createReservation, throwOnUnknownStatus),
122
- deleteReservation: createWrappedMethod(client, "deleteReservation", sdk.deleteReservation, throwOnUnknownStatus),
123
- getReservation: createWrappedMethod(client, "getReservation", sdk.getReservation, throwOnUnknownStatus),
124
- getReservations: createWrappedMethod(client, "getReservations", sdk.getReservations, throwOnUnknownStatus),
125
- getUserReservations: createWrappedMethod(client, "getUserReservations", sdk.getUserReservations, throwOnUnknownStatus),
126
- updateReservationStatus: createWrappedMethod(client, "updateReservationStatus", sdk.updateReservationStatus, throwOnUnknownStatus),
127
- },
128
- shipping: {
129
- createShippingAddress: createWrappedMethod(client, "createShippingAddress", sdk.createShippingAddress, throwOnUnknownStatus),
130
- getShippingAddress: createWrappedMethod(client, "getShippingAddress", sdk.getShippingAddress, throwOnUnknownStatus),
131
- updateShippingAddress: createWrappedMethod(client, "updateShippingAddress", sdk.updateShippingAddress, throwOnUnknownStatus),
132
- },
133
- shippingMethod: {
134
- accessEligibility: createWrappedMethod(client, "accessEligibility", sdk.accessEligibility, throwOnUnknownStatus),
135
- createShippingMethod: createWrappedMethod(client, "createShippingMethod", sdk.createShippingMethod, throwOnUnknownStatus),
136
- deleteShippingMethod: createWrappedMethod(client, "deleteShippingMethod", sdk.deleteShippingMethod, throwOnUnknownStatus),
137
- getShippingMethod: createWrappedMethod(client, "getShippingMethod", sdk.getShippingMethod, throwOnUnknownStatus),
138
- getShippingMethods: createWrappedMethod(client, "getShippingMethods", sdk.getShippingMethods, throwOnUnknownStatus),
139
- updateShippingMethod: createWrappedMethod(client, "updateShippingMethod", sdk.updateShippingMethod, throwOnUnknownStatus),
140
- },
141
- webhook: {
142
- webhook: createWrappedMethod(client, "webhook", sdk.webhook, throwOnUnknownStatus),
143
- },
144
- };
145
- };
146
- export * from "./generated";
147
- //# sourceMappingURL=index.js.map
@@ -1 +0,0 @@
1
- {"version":3,"file":"index.js","sourceRoot":"","sources":["../../../../../packages/rest-api/src/client/index.ts"],"names":[],"mappings":";;AAAA,OAAO,eAAe,MAAM,8BAA8B,CAAC;AAC3D,OAAO,EACL,YAAY,IAAI,qBAAqB,GAEtC,MAAM,oBAAoB,CAAC;AAC5B,OAAO,KAAK,GAAG,MAAM,qBAAqB,CAAC;AAsD3C,MAAM,WAAW,GAAiB;IAChC,QAAQ;IACR,KAAK;IACL,MAAM;IACN,SAAS;IACT,OAAO;IACP,MAAM;IACN,KAAK;IACL,OAAO;CACR,CAAC;AAEF,MAAM,kBAAkB,GAAG,MAAM,CAAC,MAAM,CAAC,MAAA,eAAe,CAAC,KAAK,mCAAI,EAAE,CAAC,CAAC,MAAM,CAE1E,CAAC,GAAG,EAAE,QAAa,EAAE,EAAE;;IACvB,KAAK,MAAM,MAAM,IAAI,WAAW,EAAE,CAAC;QACjC,MAAM,SAAS,GAAG,QAAQ,aAAR,QAAQ,uBAAR,QAAQ,CAAG,MAAM,CAAC,CAAC;QAErC,IAAI,CAAC,CAAA,SAAS,aAAT,SAAS,uBAAT,SAAS,CAAE,WAAW,CAAA,EAAE,CAAC;YAC5B,SAAS;QACX,CAAC;QAED,GAAG,CAAC,SAAS,CAAC,WAAW,CAAC,GAAG,MAAM,CAAC,IAAI,CAAC,MAAA,SAAS,CAAC,SAAS,mCAAI,EAAE,CAAC,CAAC,GAAG,CACrE,CAAC,MAAM,EAAE,EAAE,CAAC,MAAM,CAAC,MAAM,CAAC,CAC3B,CAAC;IACJ,CAAC;IAED,OAAO,GAAG,CAAC;AACb,CAAC,EAAE,EAAE,CAAC,CAAC;AAEP,MAAM,iBAAiB,GAAG,CACxB,WAAmB,EACnB,MAIC,EACD,oBAA6B,EACR,EAAE;;IACvB,MAAM,QAAQ,GAAG,MAAM,CAAC,QAAQ,CAAC;IAEjC,IAAI,CAAC,QAAQ,EAAE,CAAC;QACd,MAAM,MAAA,MAAM,CAAC,KAAK,mCAAI,IAAI,KAAK,CAAC,sBAAsB,WAAW,EAAE,CAAC,CAAC;IACvE,CAAC;IAED,MAAM,kBAAkB,GAAG,MAAA,kBAAkB,CAAC,WAAW,CAAC,mCAAI,EAAE,CAAC;IACjE,MAAM,YAAY,GAAG,kBAAkB,CAAC,QAAQ,CAAC,QAAQ,CAAC,MAAM,CAAC,CAAC;IAElE,IAAI,CAAC,YAAY,IAAI,oBAAoB,EAAE,CAAC;QAC1C,MAAM,MAAA,MAAM,CAAC,KAAK,mCAAI,IAAI,KAAK,CAAC,uBAAuB,QAAQ,CAAC,MAAM,EAAE,CAAC,CAAC;IAC5E,CAAC;IAED,OAAO;QACL,IAAI,EACF,QAAQ,CAAC,MAAM,KAAK,GAAG;YACrB,CAAC,CAAC,SAAS;YACX,CAAC,CAAC,QAAQ,CAAC,EAAE;gBACX,CAAC,CAAC,MAAM,CAAC,IAAI;gBACb,CAAC,CAAC,MAAM,CAAC,KAAK;QACpB,OAAO,EAAE,QAAQ,CAAC,OAAO;QACzB,MAAM,EAAE,QAAQ,CAAC,MAAM;KACxB,CAAC;AACJ,CAAC,CAAC;AAEF,MAAM,mBAAmB,GAAG,CAC1B,MAAuB,EACvB,WAAmB,EACnB,EAAiB,EACjB,oBAA6B,EAC7B,EAAE;IACF,OAAO,YAA+D,EAAE,mDAA1D,QAAsB,EAAE;QACpC,MAAM,EAAE,MAAM,KAAc,KAAK,EAAd,IAAI,UAAK,KAAK,EAA3B,UAAmB,CAAQ,CAAC;QAElC,MAAM,MAAM,GAAG,MAAM,EAAE,iCAClB,IAAI,KACP,MAAM,EACN,IAAI,EAAE,MAAM,IACZ,CAAC;QAEH,OAAO,iBAAiB,CAAC,WAAW,EAAE,MAAM,EAAE,oBAAoB,CAAC,CAAC;IACtE,CAAC,CAAA,CAAC;AACJ,CAAC,CAAC;AAEF,MAAM,CAAC,MAAM,UAAU,GAAG,CAAC,EACzB,WAAW,EACX,OAAO,EACP,WAAW,EACX,KAAK,EACL,oBAAoB,GAAG,KAAK,GACV,EAAE,EAAE;IACtB,MAAM,MAAM,GAAG,qBAAqB,CAAC;QACnC,OAAO,EAAE,GAAG,OAAO,MAAM;QACzB,WAAW;QACX,KAAK;QACL,OAAO,EAAE,WAAW;QACpB,aAAa,EAAE,QAAQ;QACvB,YAAY,EAAE,KAAK;KACpB,CAAC,CAAC;IAEH,OAAO;QACL,IAAI,EAAE;YACJ,WAAW,EAAE,mBAAmB,CAC9B,MAAM,EACN,aAAa,EACb,GAAG,CAAC,WAAW,EACf,oBAAoB,CACrB;SACF;QACD,IAAI,EAAE;YACJ,mBAAmB,EAAE,mBAAmB,CACtC,MAAM,EACN,qBAAqB,EACrB,GAAG,CAAC,mBAAmB,EACvB,oBAAoB,CACrB;YACD,cAAc,EAAE,mBAAmB,CACjC,MAAM,EACN,gBAAgB,EAChB,GAAG,CAAC,cAAc,EAClB,oBAAoB,CACrB;SACF;QACD,MAAM,EAAE;YACN,IAAI,EAAE,mBAAmB,CACvB,MAAM,EACN,MAAM,EACN,GAAG,CAAC,IAAI,EACR,oBAAoB,CACrB;SACF;QACD,QAAQ,EAAE;YACR,eAAe,EAAE,mBAAmB,CAClC,MAAM,EACN,iBAAiB,EACjB,GAAG,CAAC,eAAe,EACnB,oBAAoB,CACrB;YACD,cAAc,EAAE,mBAAmB,CACjC,MAAM,EACN,gBAAgB,EAChB,GAAG,CAAC,cAAc,EAClB,oBAAoB,CACrB;SACF;QACD,YAAY,EAAE;YACZ,kBAAkB,EAAE,mBAAmB,CACrC,MAAM,EACN,oBAAoB,EACpB,GAAG,CAAC,kBAAkB,EACtB,oBAAoB,CACrB;YACD,kBAAkB,EAAE,mBAAmB,CACrC,MAAM,EACN,oBAAoB,EACpB,GAAG,CAAC,kBAAkB,EACtB,oBAAoB,CACrB;YACD,eAAe,EAAE,mBAAmB,CAClC,MAAM,EACN,iBAAiB,EACjB,GAAG,CAAC,eAAe,EACnB,oBAAoB,CACrB;YACD,gBAAgB,EAAE,mBAAmB,CACnC,MAAM,EACN,kBAAkB,EAClB,GAAG,CAAC,gBAAgB,EACpB,oBAAoB,CACrB;YACD,kBAAkB,EAAE,mBAAmB,CACrC,MAAM,EACN,oBAAoB,EACpB,GAAG,CAAC,kBAAkB,EACtB,oBAAoB,CACrB;SACF;QACD,KAAK,EAAE;YACL,WAAW,EAAE,mBAAmB,CAC9B,MAAM,EACN,aAAa,EACb,GAAG,CAAC,WAAW,EACf,oBAAoB,CACrB;YACD,WAAW,EAAE,mBAAmB,CAC9B,MAAM,EACN,aAAa,EACb,GAAG,CAAC,WAAW,EACf,oBAAoB,CACrB;YACD,QAAQ,EAAE,mBAAmB,CAC3B,MAAM,EACN,UAAU,EACV,GAAG,CAAC,QAAQ,EACZ,oBAAoB,CACrB;YACD,SAAS,EAAE,mBAAmB,CAC5B,MAAM,EACN,WAAW,EACX,GAAG,CAAC,SAAS,EACb,oBAAoB,CACrB;YACD,YAAY,EAAE,mBAAmB,CAC/B,MAAM,EACN,mBAAmB,EACnB,GAAG,CAAC,iBAAiB,EACrB,oBAAoB,CACrB;SACF;QACD,YAAY,EAAE;YACZ,kBAAkB,EAAE,mBAAmB,CACrC,MAAM,EACN,oBAAoB,EACpB,GAAG,CAAC,kBAAkB,EACtB,oBAAoB,CACrB;YACD,kBAAkB,EAAE,mBAAmB,CACrC,MAAM,EACN,oBAAoB,EACpB,GAAG,CAAC,kBAAkB,EACtB,oBAAoB,CACrB;YACD,eAAe,EAAE,mBAAmB,CAClC,MAAM,EACN,iBAAiB,EACjB,GAAG,CAAC,eAAe,EACnB,oBAAoB,CACrB;YACD,gBAAgB,EAAE,mBAAmB,CACnC,MAAM,EACN,kBAAkB,EAClB,GAAG,CAAC,gBAAgB,EACpB,oBAAoB,CACrB;YACD,kBAAkB,EAAE,mBAAmB,CACrC,MAAM,EACN,oBAAoB,EACpB,GAAG,CAAC,kBAAkB,EACtB,oBAAoB,CACrB;SACF;QACD,OAAO,EAAE;YACP,0BAA0B,EAAE,mBAAmB,CAC7C,MAAM,EACN,4BAA4B,EAC5B,GAAG,CAAC,0BAA0B,EAC9B,oBAAoB,CACrB;SACF;QACD,OAAO,EAAE;YACP,aAAa,EAAE,mBAAmB,CAChC,MAAM,EACN,eAAe,EACf,GAAG,CAAC,aAAa,EACjB,oBAAoB,CACrB;YACD,aAAa,EAAE,mBAAmB,CAChC,MAAM,EACN,eAAe,EACf,GAAG,CAAC,aAAa,EACjB,oBAAoB,CACrB;YACD,UAAU,EAAE,mBAAmB,CAC7B,MAAM,EACN,YAAY,EACZ,GAAG,CAAC,UAAU,EACd,oBAAoB,CACrB;YACD,WAAW,EAAE,mBAAmB,CAC9B,MAAM,EACN,aAAa,EACb,GAAG,CAAC,WAAW,EACf,oBAAoB,CACrB;YACD,qBAAqB,EAAE,mBAAmB,CACxC,MAAM,EACN,uBAAuB,EACvB,GAAG,CAAC,qBAAqB,EACzB,oBAAoB,CACrB;YACD,aAAa,EAAE,mBAAmB,CAChC,MAAM,EACN,eAAe,EACf,GAAG,CAAC,aAAa,EACjB,oBAAoB,CACrB;YACD,YAAY,EAAE,mBAAmB,CAC/B,MAAM,EACN,qBAAqB,EACrB,GAAG,CAAC,mBAAmB,EACvB,oBAAoB,CACrB;SACF;QACD,eAAe,EAAE;YACf,qBAAqB,EAAE,mBAAmB,CACxC,MAAM,EACN,uBAAuB,EACvB,GAAG,CAAC,qBAAqB,EACzB,oBAAoB,CACrB;YACD,qBAAqB,EAAE,mBAAmB,CACxC,MAAM,EACN,uBAAuB,EACvB,GAAG,CAAC,qBAAqB,EACzB,oBAAoB,CACrB;YACD,oBAAoB,EAAE,mBAAmB,CACvC,MAAM,EACN,sBAAsB,EACtB,GAAG,CAAC,oBAAoB,EACxB,oBAAoB,CACrB;YACD,kBAAkB,EAAE,mBAAmB,CACrC,MAAM,EACN,oBAAoB,EACpB,GAAG,CAAC,kBAAkB,EACtB,oBAAoB,CACrB;YACD,qBAAqB,EAAE,mBAAmB,CACxC,MAAM,EACN,uBAAuB,EACvB,GAAG,CAAC,qBAAqB,EACzB,oBAAoB,CACrB;YACD,YAAY,EAAE,mBAAmB,CAC/B,MAAM,EACN,6BAA6B,EAC7B,GAAG,CAAC,2BAA2B,EAC/B,oBAAoB,CACrB;SACF;QACD,WAAW,EAAE;YACX,iBAAiB,EAAE,mBAAmB,CACpC,MAAM,EACN,mBAAmB,EACnB,GAAG,CAAC,iBAAiB,EACrB,oBAAoB,CACrB;YACD,iBAAiB,EAAE,mBAAmB,CACpC,MAAM,EACN,mBAAmB,EACnB,GAAG,CAAC,iBAAiB,EACrB,oBAAoB,CACrB;YACD,cAAc,EAAE,mBAAmB,CACjC,MAAM,EACN,gBAAgB,EAChB,GAAG,CAAC,cAAc,EAClB,oBAAoB,CACrB;YACD,eAAe,EAAE,mBAAmB,CAClC,MAAM,EACN,iBAAiB,EACjB,GAAG,CAAC,eAAe,EACnB,oBAAoB,CACrB;YACD,mBAAmB,EAAE,mBAAmB,CACtC,MAAM,EACN,qBAAqB,EACrB,GAAG,CAAC,mBAAmB,EACvB,oBAAoB,CACrB;YACD,uBAAuB,EAAE,mBAAmB,CAC1C,MAAM,EACN,yBAAyB,EACzB,GAAG,CAAC,uBAAuB,EAC3B,oBAAoB,CACrB;SACF;QACD,QAAQ,EAAE;YACR,qBAAqB,EAAE,mBAAmB,CACxC,MAAM,EACN,uBAAuB,EACvB,GAAG,CAAC,qBAAqB,EACzB,oBAAoB,CACrB;YACD,kBAAkB,EAAE,mBAAmB,CACrC,MAAM,EACN,oBAAoB,EACpB,GAAG,CAAC,kBAAkB,EACtB,oBAAoB,CACrB;YACD,qBAAqB,EAAE,mBAAmB,CACxC,MAAM,EACN,uBAAuB,EACvB,GAAG,CAAC,qBAAqB,EACzB,oBAAoB,CACrB;SACF;QACD,cAAc,EAAE;YACd,iBAAiB,EAAE,mBAAmB,CACpC,MAAM,EACN,mBAAmB,EACnB,GAAG,CAAC,iBAAiB,EACrB,oBAAoB,CACrB;YACD,oBAAoB,EAAE,mBAAmB,CACvC,MAAM,EACN,sBAAsB,EACtB,GAAG,CAAC,oBAAoB,EACxB,oBAAoB,CACrB;YACD,oBAAoB,EAAE,mBAAmB,CACvC,MAAM,EACN,sBAAsB,EACtB,GAAG,CAAC,oBAAoB,EACxB,oBAAoB,CACrB;YACD,iBAAiB,EAAE,mBAAmB,CACpC,MAAM,EACN,mBAAmB,EACnB,GAAG,CAAC,iBAAiB,EACrB,oBAAoB,CACrB;YACD,kBAAkB,EAAE,mBAAmB,CACrC,MAAM,EACN,oBAAoB,EACpB,GAAG,CAAC,kBAAkB,EACtB,oBAAoB,CACrB;YACD,oBAAoB,EAAE,mBAAmB,CACvC,MAAM,EACN,sBAAsB,EACtB,GAAG,CAAC,oBAAoB,EACxB,oBAAoB,CACrB;SACF;QACD,OAAO,EAAE;YACP,OAAO,EAAE,mBAAmB,CAC1B,MAAM,EACN,SAAS,EACT,GAAG,CAAC,OAAO,EACX,oBAAoB,CACrB;SACF;KACF,CAAC;AACJ,CAAC,CAAC;AAEF,cAAc,aAAa,CAAC"}